---
title: Feature Requests
description: Read about the different ways you can submit feature requests in the Install Doctor project and find tips on creating feature requests that are more likely to make their way into Install Doctor.
sidebar_label: Feature Requests
slug: /contributing/feature-requests
---

Feature requests are more than welcome. In fact, they are one way of contributing to this project. With your feedback, the success of this project is more likely. If you would like to request a feature, you can file an issue on GitHub or GitLab. If you decide to request a feature, it is more likely to be implented by our team and community if you create a well-thought request with as much of the nitty-gritty as possible. In other words, include as much detail as possible.

## Leveraging the Community

Before proceeding with creating a feature request on GitHub or GitLab, you should browse through the links found on our [Community page](https://install.doctor/community). It is possible that someone on our team or in our community can help you satisfy your project needs without having to add a new feature. You might also be able to leverage these resources in other ways like asking questions or helping others by answering their questions.

## Feature Request Guidelines

There are no strict guidelines for submitting a feature request. Any feature request, big or small, is welcome. That said, our team and community can better cater to feature requests if as much detail and supporting information as possible is provided in the feature request.

## Feature Requests on GitHub

As with all the projects in the [Megabyte Labs eco-system](https://gitlab.com/megabyte-labs), you can create a feature request using an issue template specifically designed for formatting feature requests. Just select the, "Feature Request," template when creating a GitHub issue. You can [open a feature request for Install Doctor on GitHub using this link](https://github.com/megabyte-labs/install.doctor/issues/new?assignees=&labels=question&template=FeatureRequest.yml).

<video autoPlay loop muted playsInline>
  <source src="/docs/video/github-feature-request.mp4" type="video/mp4" />
  <source src="/docs/video/github-feature-request.webm" type="video/webm" />
</video>

## Feature Requests on GitLab

Alternatively, you can create a feature request by posting an issue on GitLab. You must be signed in. To create a feature request on GitLab, navigate to the Issues section and then click, "New issue," or [open the new issue directly with this link](https://gitlab.com/megabyte-labs/install.doctor/-/issues/new). Once you open the issue, be sure to select the, "Feature," project template under the, "Description," dropdown at the top.

<video autoPlay loop muted playsInline>
  <source src="/docs/video/gitlab-feature-request.mp4" type="video/mp4" />
  <source src="/docs/video/gitlab-feature-request.webm" type="video/webm" />
</video>
